> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aicoflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Web Flows Installs



## OpenAPI

````yaml /api/openapi.json post /api/web/flows/{flowId}/installs
openapi: 3.1.0
info:
  title: AICO API
  description: API for managing AI-powered voice agents, flows, tools, telephony, and more.
  version: 1.0.0
servers: []
security:
  - bearer: []
tags:
  - name: API Keys
  - name: Admin
  - name: Assets
  - name: Audit
  - name: Billing
  - name: Brain
  - name: Calls
  - name: Channels
  - name: Correspondence
  - name: Datasets
  - name: Flows
  - name: Inference
  - name: Installs
  - name: Integrations
  - name: Knowledge
  - name: LLM
  - name: Monitoring
  - name: Notifications
  - name: Organizations
  - name: Plugins
  - name: Providers
  - name: Reporting
  - name: System
  - name: Telephony
  - name: Tools
  - name: Web
paths:
  /api/web/flows/{flowId}/installs:
    post:
      tags:
        - Web
      summary: Create Web Flows Installs
      operationId: create_web_flows_installs
      parameters:
        - schema:
            type: string
          in: path
          name: flowId
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              def:
                type: object
                shape:
                  installId:
                    def:
                      type: string
                      checks:
                        - {}
                        - {}
                    type: string
                  label:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - {}
                        type: string
                    type: optional
                  surface:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: object
                          shape:
                            capabilities:
                              def:
                                type: array
                                element:
                                  def:
                                    type: string
                                  type: string
                              type: array
                              element:
                                def:
                                  type: string
                                type: string
                            display:
                              def:
                                type: optional
                                innerType:
                                  def:
                                    type: object
                                    shape:
                                      kind:
                                        def:
                                          type: enum
                                          entries:
                                            glove: glove
                                            watch: watch
                                            phone: phone
                                            desktop: desktop
                                            web: web
                                        type: enum
                                        enum:
                                          glove: glove
                                          watch: watch
                                          phone: phone
                                          desktop: desktop
                                          web: web
                                        options:
                                          - glove
                                          - watch
                                          - phone
                                          - desktop
                                          - web
                                      format:
                                        def:
                                          type: enum
                                          entries:
                                            markdown: markdown
                                            glove_marks: glove_marks
                                            plain: plain
                                        type: enum
                                        enum:
                                          markdown: markdown
                                          glove_marks: glove_marks
                                          plain: plain
                                        options:
                                          - markdown
                                          - glove_marks
                                          - plain
                                      compact:
                                        def:
                                          type: boolean
                                        type: boolean
                                  type: object
                              type: optional
                            timezone:
                              def:
                                type: optional
                                innerType:
                                  def:
                                    type: string
                                  type: string
                              type: optional
                            locale:
                              def:
                                type: optional
                                innerType:
                                  def:
                                    type: string
                                  type: string
                              type: optional
                            device:
                              def:
                                type: optional
                                innerType:
                                  def:
                                    type: object
                                    shape:
                                      battery:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: number
                                              checks:
                                                - {}
                                                - {}
                                            type: number
                                            isFinite: true
                                        type: optional
                                      charging:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: boolean
                                            type: boolean
                                        type: optional
                                      network:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: enum
                                              entries:
                                                wifi: wifi
                                                cellular: cellular
                                                ethernet: ethernet
                                                offline: offline
                                                unknown: unknown
                                            type: enum
                                            enum:
                                              wifi: wifi
                                              cellular: cellular
                                              ethernet: ethernet
                                              offline: offline
                                              unknown: unknown
                                            options:
                                              - wifi
                                              - cellular
                                              - ethernet
                                              - offline
                                              - unknown
                                        type: optional
                                      ambientDb:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: number
                                              checks: []
                                            type: number
                                            isFinite: true
                                        type: optional
                                      location:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: object
                                              shape:
                                                lat:
                                                  def:
                                                    type: number
                                                    checks:
                                                      - {}
                                                      - {}
                                                  type: number
                                                  isFinite: true
                                                lon:
                                                  def:
                                                    type: number
                                                    checks:
                                                      - {}
                                                      - {}
                                                  type: number
                                                  isFinite: true
                                                accuracyM:
                                                  def:
                                                    type: optional
                                                    innerType:
                                                      def:
                                                        type: number
                                                        checks:
                                                          - {}
                                                      type: number
                                                      isFinite: true
                                                  type: optional
                                                at:
                                                  def:
                                                    type: optional
                                                    innerType:
                                                      def:
                                                        type: string
                                                      type: string
                                                  type: optional
                                            type: object
                                        type: optional
                                      beacons:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: array
                                              element:
                                                def:
                                                  type: object
                                                  shape:
                                                    id:
                                                      def:
                                                        type: string
                                                        checks:
                                                          - {}
                                                      type: string
                                                    rssi:
                                                      def:
                                                        type: optional
                                                        innerType:
                                                          def:
                                                            type: number
                                                            checks: []
                                                          type: number
                                                          isFinite: true
                                                      type: optional
                                                type: object
                                            type: array
                                            element:
                                              def:
                                                type: object
                                                shape:
                                                  id:
                                                    def:
                                                      type: string
                                                      checks:
                                                        - {}
                                                    type: string
                                                  rssi:
                                                    def:
                                                      type: optional
                                                      innerType:
                                                        def:
                                                          type: number
                                                          checks: []
                                                        type: number
                                                        isFinite: true
                                                    type: optional
                                              type: object
                                        type: optional
                                  type: object
                              type: optional
                            screen:
                              def:
                                type: optional
                                innerType:
                                  def:
                                    type: object
                                    shape:
                                      app:
                                        def:
                                          type: string
                                          checks:
                                            - {}
                                        type: string
                                      appLabel:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: string
                                            type: string
                                        type: optional
                                      screen:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: string
                                            type: string
                                        type: optional
                                      signature:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: string
                                            type: string
                                        type: optional
                                      elements:
                                        def:
                                          type: string
                                        type: string
                                      truncated:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: boolean
                                            type: boolean
                                        type: optional
                                  type: object
                              type: optional
                        type: object
                    type: optional
                  capabilities:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: array
                          element:
                            def:
                              type: enum
                              entries:
                                camera: camera
                                scanner: scanner
                                screen: screen
                                attachments: attachments
                                images: images
                                markdown: markdown
                                voice_input: voice_input
                                voice_output: voice_output
                                text_output: text_output
                            type: enum
                            enum:
                              camera: camera
                              scanner: scanner
                              screen: screen
                              attachments: attachments
                              images: images
                              markdown: markdown
                              voice_input: voice_input
                              voice_output: voice_output
                              text_output: text_output
                            options:
                              - camera
                              - scanner
                              - screen
                              - attachments
                              - images
                              - markdown
                              - voice_input
                              - voice_output
                              - text_output
                          checks:
                            - {}
                        type: array
                        element:
                          def:
                            type: enum
                            entries:
                              camera: camera
                              scanner: scanner
                              screen: screen
                              attachments: attachments
                              images: images
                              markdown: markdown
                              voice_input: voice_input
                              voice_output: voice_output
                              text_output: text_output
                          type: enum
                          enum:
                            camera: camera
                            scanner: scanner
                            screen: screen
                            attachments: attachments
                            images: images
                            markdown: markdown
                            voice_input: voice_input
                            voice_output: voice_output
                            text_output: text_output
                          options:
                            - camera
                            - scanner
                            - screen
                            - attachments
                            - images
                            - markdown
                            - voice_input
                            - voice_output
                            - text_output
                    type: optional
              type: object
          multipart/form-data:
            schema:
              def:
                type: object
                shape:
                  installId:
                    def:
                      type: string
                      checks:
                        - {}
                        - {}
                    type: string
                  label:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - {}
                        type: string
                    type: optional
                  surface:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: object
                          shape:
                            capabilities:
                              def:
                                type: array
                                element:
                                  def:
                                    type: string
                                  type: string
                              type: array
                              element:
                                def:
                                  type: string
                                type: string
                            display:
                              def:
                                type: optional
                                innerType:
                                  def:
                                    type: object
                                    shape:
                                      kind:
                                        def:
                                          type: enum
                                          entries:
                                            glove: glove
                                            watch: watch
                                            phone: phone
                                            desktop: desktop
                                            web: web
                                        type: enum
                                        enum:
                                          glove: glove
                                          watch: watch
                                          phone: phone
                                          desktop: desktop
                                          web: web
                                        options:
                                          - glove
                                          - watch
                                          - phone
                                          - desktop
                                          - web
                                      format:
                                        def:
                                          type: enum
                                          entries:
                                            markdown: markdown
                                            glove_marks: glove_marks
                                            plain: plain
                                        type: enum
                                        enum:
                                          markdown: markdown
                                          glove_marks: glove_marks
                                          plain: plain
                                        options:
                                          - markdown
                                          - glove_marks
                                          - plain
                                      compact:
                                        def:
                                          type: boolean
                                        type: boolean
                                  type: object
                              type: optional
                            timezone:
                              def:
                                type: optional
                                innerType:
                                  def:
                                    type: string
                                  type: string
                              type: optional
                            locale:
                              def:
                                type: optional
                                innerType:
                                  def:
                                    type: string
                                  type: string
                              type: optional
                            device:
                              def:
                                type: optional
                                innerType:
                                  def:
                                    type: object
                                    shape:
                                      battery:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: number
                                              checks:
                                                - {}
                                                - {}
                                            type: number
                                            isFinite: true
                                        type: optional
                                      charging:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: boolean
                                            type: boolean
                                        type: optional
                                      network:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: enum
                                              entries:
                                                wifi: wifi
                                                cellular: cellular
                                                ethernet: ethernet
                                                offline: offline
                                                unknown: unknown
                                            type: enum
                                            enum:
                                              wifi: wifi
                                              cellular: cellular
                                              ethernet: ethernet
                                              offline: offline
                                              unknown: unknown
                                            options:
                                              - wifi
                                              - cellular
                                              - ethernet
                                              - offline
                                              - unknown
                                        type: optional
                                      ambientDb:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: number
                                              checks: []
                                            type: number
                                            isFinite: true
                                        type: optional
                                      location:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: object
                                              shape:
                                                lat:
                                                  def:
                                                    type: number
                                                    checks:
                                                      - {}
                                                      - {}
                                                  type: number
                                                  isFinite: true
                                                lon:
                                                  def:
                                                    type: number
                                                    checks:
                                                      - {}
                                                      - {}
                                                  type: number
                                                  isFinite: true
                                                accuracyM:
                                                  def:
                                                    type: optional
                                                    innerType:
                                                      def:
                                                        type: number
                                                        checks:
                                                          - {}
                                                      type: number
                                                      isFinite: true
                                                  type: optional
                                                at:
                                                  def:
                                                    type: optional
                                                    innerType:
                                                      def:
                                                        type: string
                                                      type: string
                                                  type: optional
                                            type: object
                                        type: optional
                                      beacons:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: array
                                              element:
                                                def:
                                                  type: object
                                                  shape:
                                                    id:
                                                      def:
                                                        type: string
                                                        checks:
                                                          - {}
                                                      type: string
                                                    rssi:
                                                      def:
                                                        type: optional
                                                        innerType:
                                                          def:
                                                            type: number
                                                            checks: []
                                                          type: number
                                                          isFinite: true
                                                      type: optional
                                                type: object
                                            type: array
                                            element:
                                              def:
                                                type: object
                                                shape:
                                                  id:
                                                    def:
                                                      type: string
                                                      checks:
                                                        - {}
                                                    type: string
                                                  rssi:
                                                    def:
                                                      type: optional
                                                      innerType:
                                                        def:
                                                          type: number
                                                          checks: []
                                                        type: number
                                                        isFinite: true
                                                    type: optional
                                              type: object
                                        type: optional
                                  type: object
                              type: optional
                            screen:
                              def:
                                type: optional
                                innerType:
                                  def:
                                    type: object
                                    shape:
                                      app:
                                        def:
                                          type: string
                                          checks:
                                            - {}
                                        type: string
                                      appLabel:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: string
                                            type: string
                                        type: optional
                                      screen:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: string
                                            type: string
                                        type: optional
                                      signature:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: string
                                            type: string
                                        type: optional
                                      elements:
                                        def:
                                          type: string
                                        type: string
                                      truncated:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: boolean
                                            type: boolean
                                        type: optional
                                  type: object
                              type: optional
                        type: object
                    type: optional
                  capabilities:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: array
                          element:
                            def:
                              type: enum
                              entries:
                                camera: camera
                                scanner: scanner
                                screen: screen
                                attachments: attachments
                                images: images
                                markdown: markdown
                                voice_input: voice_input
                                voice_output: voice_output
                                text_output: text_output
                            type: enum
                            enum:
                              camera: camera
                              scanner: scanner
                              screen: screen
                              attachments: attachments
                              images: images
                              markdown: markdown
                              voice_input: voice_input
                              voice_output: voice_output
                              text_output: text_output
                            options:
                              - camera
                              - scanner
                              - screen
                              - attachments
                              - images
                              - markdown
                              - voice_input
                              - voice_output
                              - text_output
                          checks:
                            - {}
                        type: array
                        element:
                          def:
                            type: enum
                            entries:
                              camera: camera
                              scanner: scanner
                              screen: screen
                              attachments: attachments
                              images: images
                              markdown: markdown
                              voice_input: voice_input
                              voice_output: voice_output
                              text_output: text_output
                          type: enum
                          enum:
                            camera: camera
                            scanner: scanner
                            screen: screen
                            attachments: attachments
                            images: images
                            markdown: markdown
                            voice_input: voice_input
                            voice_output: voice_output
                            text_output: text_output
                          options:
                            - camera
                            - scanner
                            - screen
                            - attachments
                            - images
                            - markdown
                            - voice_input
                            - voice_output
                            - text_output
                    type: optional
              type: object
          text/plain:
            schema:
              def:
                type: object
                shape:
                  installId:
                    def:
                      type: string
                      checks:
                        - {}
                        - {}
                    type: string
                  label:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - {}
                        type: string
                    type: optional
                  surface:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: object
                          shape:
                            capabilities:
                              def:
                                type: array
                                element:
                                  def:
                                    type: string
                                  type: string
                              type: array
                              element:
                                def:
                                  type: string
                                type: string
                            display:
                              def:
                                type: optional
                                innerType:
                                  def:
                                    type: object
                                    shape:
                                      kind:
                                        def:
                                          type: enum
                                          entries:
                                            glove: glove
                                            watch: watch
                                            phone: phone
                                            desktop: desktop
                                            web: web
                                        type: enum
                                        enum:
                                          glove: glove
                                          watch: watch
                                          phone: phone
                                          desktop: desktop
                                          web: web
                                        options:
                                          - glove
                                          - watch
                                          - phone
                                          - desktop
                                          - web
                                      format:
                                        def:
                                          type: enum
                                          entries:
                                            markdown: markdown
                                            glove_marks: glove_marks
                                            plain: plain
                                        type: enum
                                        enum:
                                          markdown: markdown
                                          glove_marks: glove_marks
                                          plain: plain
                                        options:
                                          - markdown
                                          - glove_marks
                                          - plain
                                      compact:
                                        def:
                                          type: boolean
                                        type: boolean
                                  type: object
                              type: optional
                            timezone:
                              def:
                                type: optional
                                innerType:
                                  def:
                                    type: string
                                  type: string
                              type: optional
                            locale:
                              def:
                                type: optional
                                innerType:
                                  def:
                                    type: string
                                  type: string
                              type: optional
                            device:
                              def:
                                type: optional
                                innerType:
                                  def:
                                    type: object
                                    shape:
                                      battery:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: number
                                              checks:
                                                - {}
                                                - {}
                                            type: number
                                            isFinite: true
                                        type: optional
                                      charging:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: boolean
                                            type: boolean
                                        type: optional
                                      network:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: enum
                                              entries:
                                                wifi: wifi
                                                cellular: cellular
                                                ethernet: ethernet
                                                offline: offline
                                                unknown: unknown
                                            type: enum
                                            enum:
                                              wifi: wifi
                                              cellular: cellular
                                              ethernet: ethernet
                                              offline: offline
                                              unknown: unknown
                                            options:
                                              - wifi
                                              - cellular
                                              - ethernet
                                              - offline
                                              - unknown
                                        type: optional
                                      ambientDb:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: number
                                              checks: []
                                            type: number
                                            isFinite: true
                                        type: optional
                                      location:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: object
                                              shape:
                                                lat:
                                                  def:
                                                    type: number
                                                    checks:
                                                      - {}
                                                      - {}
                                                  type: number
                                                  isFinite: true
                                                lon:
                                                  def:
                                                    type: number
                                                    checks:
                                                      - {}
                                                      - {}
                                                  type: number
                                                  isFinite: true
                                                accuracyM:
                                                  def:
                                                    type: optional
                                                    innerType:
                                                      def:
                                                        type: number
                                                        checks:
                                                          - {}
                                                      type: number
                                                      isFinite: true
                                                  type: optional
                                                at:
                                                  def:
                                                    type: optional
                                                    innerType:
                                                      def:
                                                        type: string
                                                      type: string
                                                  type: optional
                                            type: object
                                        type: optional
                                      beacons:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: array
                                              element:
                                                def:
                                                  type: object
                                                  shape:
                                                    id:
                                                      def:
                                                        type: string
                                                        checks:
                                                          - {}
                                                      type: string
                                                    rssi:
                                                      def:
                                                        type: optional
                                                        innerType:
                                                          def:
                                                            type: number
                                                            checks: []
                                                          type: number
                                                          isFinite: true
                                                      type: optional
                                                type: object
                                            type: array
                                            element:
                                              def:
                                                type: object
                                                shape:
                                                  id:
                                                    def:
                                                      type: string
                                                      checks:
                                                        - {}
                                                    type: string
                                                  rssi:
                                                    def:
                                                      type: optional
                                                      innerType:
                                                        def:
                                                          type: number
                                                          checks: []
                                                        type: number
                                                        isFinite: true
                                                    type: optional
                                              type: object
                                        type: optional
                                  type: object
                              type: optional
                            screen:
                              def:
                                type: optional
                                innerType:
                                  def:
                                    type: object
                                    shape:
                                      app:
                                        def:
                                          type: string
                                          checks:
                                            - {}
                                        type: string
                                      appLabel:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: string
                                            type: string
                                        type: optional
                                      screen:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: string
                                            type: string
                                        type: optional
                                      signature:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: string
                                            type: string
                                        type: optional
                                      elements:
                                        def:
                                          type: string
                                        type: string
                                      truncated:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: boolean
                                            type: boolean
                                        type: optional
                                  type: object
                              type: optional
                        type: object
                    type: optional
                  capabilities:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: array
                          element:
                            def:
                              type: enum
                              entries:
                                camera: camera
                                scanner: scanner
                                screen: screen
                                attachments: attachments
                                images: images
                                markdown: markdown
                                voice_input: voice_input
                                voice_output: voice_output
                                text_output: text_output
                            type: enum
                            enum:
                              camera: camera
                              scanner: scanner
                              screen: screen
                              attachments: attachments
                              images: images
                              markdown: markdown
                              voice_input: voice_input
                              voice_output: voice_output
                              text_output: text_output
                            options:
                              - camera
                              - scanner
                              - screen
                              - attachments
                              - images
                              - markdown
                              - voice_input
                              - voice_output
                              - text_output
                          checks:
                            - {}
                        type: array
                        element:
                          def:
                            type: enum
                            entries:
                              camera: camera
                              scanner: scanner
                              screen: screen
                              attachments: attachments
                              images: images
                              markdown: markdown
                              voice_input: voice_input
                              voice_output: voice_output
                              text_output: text_output
                          type: enum
                          enum:
                            camera: camera
                            scanner: scanner
                            screen: screen
                            attachments: attachments
                            images: images
                            markdown: markdown
                            voice_input: voice_input
                            voice_output: voice_output
                            text_output: text_output
                          options:
                            - camera
                            - scanner
                            - screen
                            - attachments
                            - images
                            - markdown
                            - voice_input
                            - voice_output
                            - text_output
                    type: optional
              type: object
      responses:
        '200':
          description: Successful response
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Logto JWT access token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.